const modules:any = import.meta.glob('./modules/*.ts', { eager: true })

const api:any = {}

Object.keys(modules).forEach((key) => {
    const name = key.slice(key.lastIndexOf('/') + 1, key.lastIndexOf('.'))
    api[name] = { ...modules[key] }
})

export default api